<xml> </xml>

db4o |

# SafeSyncIoAdapter Members

SafeSyncIoAdapter overview

#### Public Instance Constructors

SafeSyncIoAdapter Constructor |

#### Public Instance Methods

blockCopy (inherited from IoAdapter) | copies a block within a file in block mode
blockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
blockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
close (inherited from VanillaIoAdapter) |
copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Equals (inherited from Object) |
exists (inherited from IoAdapter) | checks whether a file exists
GetHashCode (inherited from Object) |
getLength (inherited from VanillaIoAdapter) |
GetType (inherited from Object) |
open |
read (inherited from VanillaIoAdapter) | Overloaded.
read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
seek (inherited from VanillaIoAdapter) |
sync (inherited from VanillaIoAdapter) |
ToString (inherited from Object) |
write | Overloaded.
write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Fields

_delegate (inherited from VanillaIoAdapter) |

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
regularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

SafeSyncIoAdapter Class | com.db4o.io Namespace